Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
kimvantoan

Tạo Boundary

Các bài được khuyến nghị

Bạn nào giúp tôi đoạn mã lệnh để tạo ra một Boundary với.

Xin cám ơn!

Trong VBA không có method nào để tạo Boundary. Nếu muốn tạo boundary thì bạn chỉ còn cách dùng sendcommand.

  • Vote tăng 3

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Trong VBA không có method nào để tạo Boundary. Nếu muốn tạo boundary thì bạn chỉ còn cách dùng sendcommand.

cám ơn bạn! Bạn cho mình xin một đoạn mã lệnh ví dụ về cái sendcommand không? Mình mới học VBA nên chưa biết nhiều.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

cám ơn bạn! Bạn cho mình xin một đoạn mã lệnh ví dụ về cái sendcommand không? Mình mới học VBA nên chưa biết nhiều.

Bạn nghiên cứu thử đoạn code sau:

Sub createboundary()

Dim p As Variant

Dim x, y

p = ThisDrawing.Utility.GetPoint(, "Pick diem de lay Boundary: ")

x = p(0): y = p(1)

ThisDrawing.SendCommand ("-Boundary" & vbCr & x & "," & y & vbCr & vbCr)

End Sub

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Sorry, ngoài lề 1 tý rolleyes.gif

VBA ko có hàm nào về Boundary, dùng sendcommand là chính xác

Nhưng nếu đòi hỏi về tốc độ thì bạn có thể dùng .NET từ version 2011 về sau Autodesk đã update thêm Editor.TraceBoundary() function trong bộ API mới.

Thân!

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Sorry, ngoài lề 1 tý rolleyes.gif

VBA ko có hàm nào về Boundary, dùng sendcommand là chính xác

Nhưng nếu đòi hỏi về tốc độ thì bạn có thể dùng .NET từ version 2011 về sau Autodesk đã update thêm Editor.TraceBoundary() function trong bộ API mới.

Thân!

Cám ơn bạn đã đóng góp ý kiến! Nhưng ".net" có lẽ là quá tầm với mình, ít ra là ở thời điểm này.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn nghiên cứu thử đoạn code sau:

Mình đã tạo được đối tượng Boundary, nhưng không làm sao quản lý nó được. Ví dụ: mình muốn move boundary vừa tạo ra. Ai biết giúp mình với!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mình đã tạo được đối tượng Boundary, nhưng không làm sao quản lý nó được. Ví dụ: mình muốn move boundary vừa tạo ra. Ai biết giúp mình với!

Bạn lấy đối tượng được tạo ra sau cùng bằng đoạn code sau:

Thisdrawing.Modelspace.Item(Thisdrawing.Modelspace.count - 1)

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×